[OpenWrt-Devel] [PATCH] lantiq: enable SysupgradeNAND for BTHOMEHUBV2B
Ben Mulvihill
ben.mulvihill at gmail.com
Thu Jul 10 13:36:53 EDT 2014
Enables SysupgradeNAND for BTHOMEHUBV2B.
Depends on the following patches:
http://patchwork.openwrt.org/patch/5817/
http://patchwork.openwrt.org/patch/5848/
http://patchwork.openwrt.org/patch/5851/
Many thanks everyone for your help the last couple of days.
Ben
Signed-off-by: Ben Mulvihill <ben.mulvihill at gmail.com>
---
--- a/target/linux/lantiq/base-files/lib/upgrade/platform.sh 2014-07-09 08:07:29.682202944 +0200
+++ b/target/linux/lantiq/base-files/lib/upgrade/platform.sh 2014-07-09 08:19:19.990740981 +0200
@@ -1,7 +1,17 @@
+. /lib/functions/lantiq.sh
+
PART_NAME=firmware
platform_check_image() {
[ "$#" -gt 1 ] && return 1
+ local board=$(lantiq_board_name)
+
+ case "$board" in
+ BTHOMEHUBV2B )
+ nand_do_platform_check $board $1
+ return $?;
+ ;;
+ esac
case "$(get_magic_word "$1")" in
# uImage
_______________________________________________
openwrt-devel mailing list
openwrt-devel at lists.openwrt.org
https://lists.openwrt.org/cgi-bin/mailman/listinfo/openwrt-devel
More information about the openwrt-devel
mailing list